diff -Nurd kdebase-3.5.10/konqueror/client/Makefile.am kdebase-3.5.10-new/konqueror/client/Makefile.am
--- kdebase-3.5.10/konqueror/client/Makefile.am	2005-09-10 01:25:48.000000000 -0700
+++ kdebase-3.5.10-new/konqueror/client/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -6,7 +6,7 @@
 
 INCLUDES= -I.. $(all_includes)
 kfmclient_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kfmclient_la_LIBADD =  $(LIB_KIO)
+kfmclient_la_LIBADD =  $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) -lDCOP $(LIB_KDEUI)
 kfmclient_la_SOURCES = kfmclient.cc KonquerorIface.stub KDesktopIface.stub
 
 noinst_HEADERS = kfmclient.h
diff -Nurd kdebase-3.5.10/konqueror/keditbookmarks/Makefile.am kdebase-3.5.10-new/konqueror/keditbookmarks/Makefile.am
--- kdebase-3.5.10/konqueror/keditbookmarks/Makefile.am	2005-09-10 01:25:49.000000000 -0700
+++ kdebase-3.5.10-new/konqueror/keditbookmarks/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -2,13 +2,13 @@
 
 METASOURCES = AUTO
 
-bin_PROGRAMS = kbookmarkmerger
+bin_PROGRAMS = 
 lib_LTLIBRARIES =
-kdeinit_LTLIBRARIES = keditbookmarks.la
+kdeinit_LTLIBRARIES = keditbookmarks.la kbookmarkmerger.la
 
-kbookmarkmerger_SOURCES = kbookmarkmerger.cpp
-kbookmarkmerger_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kbookmarkmerger_LDADD = $(LIB_KIO)
+kbookmarkmerger_la_SOURCES = kbookmarkmerger.cpp
+kbookmarkmerger_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kbookmarkmerger_la_LIBADD = $(LIB_KIO) $(LIB_KDECORE) $(LIB_QT)
 
 dcop_DCOPIDLNG = true
 keditbookmarks_la_SOURCES = main.cpp listview.cpp toplevel.cpp actionsimpl.cpp commands.cpp importers.cpp dcop.skel dcop.cpp bookmarkiterator.cpp  \
diff -Nurd kdebase-3.5.10/konqueror/keditbookmarks/kbookmarkmerger.cpp kdebase-3.5.10-new/konqueror/keditbookmarks/kbookmarkmerger.cpp
--- kdebase-3.5.10/konqueror/keditbookmarks/kbookmarkmerger.cpp	2005-09-10 01:25:49.000000000 -0700
+++ kdebase-3.5.10-new/konqueror/keditbookmarks/kbookmarkmerger.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -55,7 +55,7 @@
 	return XGetSelectionOwner( dpy, atom ) != None;
 }
 
-int main( int argc, char**argv )
+extern "C" KDE_EXPORT int kdemain( int argc, char**argv )
 {
 	const bool kdeRunning = kdeIsRunning();
 
diff -Nurd kdebase-3.5.10/konqueror/kttsplugin/Makefile.am kdebase-3.5.10-new/konqueror/kttsplugin/Makefile.am
--- kdebase-3.5.10/konqueror/kttsplugin/Makefile.am	2005-09-10 01:25:46.000000000 -0700
+++ kdebase-3.5.10-new/konqueror/kttsplugin/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -5,7 +5,7 @@
 kde_module_LTLIBRARIES = libkhtmlkttsdplugin.la
 
 libkhtmlkttsdplugin_la_SOURCES = khtmlkttsd.cpp
-libkhtmlkttsdplugin_la_LIBADD  = $(LIB_KHTML)
+libkhtmlkttsdplugin_la_LIBADD  = $(LIB_KHTML) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KPARTS) $(LIB_KIO) -lDCOP
 libkhtmlkttsdplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 pluginsdir = $(kde_datadir)/khtml/kpartplugins
diff -Nurd kdebase-3.5.10/konqueror/shellcmdplugin/Makefile.am kdebase-3.5.10-new/konqueror/shellcmdplugin/Makefile.am
--- kdebase-3.5.10/konqueror/shellcmdplugin/Makefile.am	2005-09-10 01:25:48.000000000 -0700
+++ kdebase-3.5.10-new/konqueror/shellcmdplugin/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,7 +4,7 @@
 kde_module_LTLIBRARIES = konq_shellcmdplugin.la
 konq_shellcmdplugin_la_SOURCES = kshellcmdexecutor.cpp kshellcmddialog.cpp \
 	kshellcmdplugin.cpp
-konq_shellcmdplugin_la_LIBADD = $(top_builddir)/libkonq/libkonq.la
+konq_shellcmdplugin_la_LIBADD = $(top_builddir)/libkonq/libkonq.la -lkdesu
 konq_shellcmdplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 iconviewdir = $(kde_datadir)/konqiconview/kpartplugins
diff -Nurd kdebase-3.5.10/konqueror/sidebar/Makefile.am kdebase-3.5.10-new/konqueror/sidebar/Makefile.am
--- kdebase-3.5.10/konqueror/sidebar/Makefile.am	2005-09-10 01:25:47.000000000 -0700
+++ kdebase-3.5.10-new/konqueror/sidebar/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -26,7 +26,7 @@
 
 libkonqsidebarplugin_la_SOURCES=konqsidebarplugin.cpp
 libkonqsidebarplugin_la_LDFLAGS = -version-info 3:0:2 $(all_libraries) -no-undefined
-libkonqsidebarplugin_la_LIBADD = $(LIB_KPARTS)
+libkonqsidebarplugin_la_LIBADD = $(LIB_KPARTS) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 # this is where the desktop file will go 
 partdesktopdir   = $(kde_servicesdir)
diff -Nurd kdebase-3.5.10/konsole/konsole/Makefile.am kdebase-3.5.10-new/konsole/konsole/Makefile.am
--- kdebase-3.5.10/konsole/konsole/Makefile.am	2006-03-17 02:17:43.000000000 -0800
+++ kdebase-3.5.10-new/konsole/konsole/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -25,7 +25,7 @@
         sessioniface.skel
 
 libkonsolepart_la_LDFLAGS = $(KDE_PLUGIN) $(all_libraries)
-libkonsolepart_la_LIBADD = $(XTESTLIB) $(LIB_KPARTS)
+libkonsolepart_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(XTESTLIB) $(LIB_KPARTS) $(LIB_KIO) -lDCOP
 
 fontembedder_SOURCES = fontembedder.cpp
 fontembedder_LDFLAGS = $(all_libraries)
@@ -42,7 +42,7 @@
      konsole_wcwidth.cpp konsolebookmarkhandler.cpp konsolebookmarkmenu.cpp \
      zmodem_dialog.cpp printsettings.cpp
 konsole_la_LDFLAGS = $(all_libraries) -module -avoid-version
-konsole_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO) $(LIB_KDEPRINT) $(LIBUTIL) $(XTESTLIB) $(LIB_XRENDER)
+konsole_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KIO) $(LIB_KDEPRINT) $(LIBUTIL) $(XTESTLIB) $(LIB_XRENDER) -lDCOP
 
 # kcmkonsole_SOURCES = kcmkonsole.cpp schema.cpp
 # kcmkonsole_LDADD   = $(LIB_KDEUI)
diff -Nurd kdebase-3.5.10/kpager/Makefile.am kdebase-3.5.10-new/kpager/Makefile.am
--- kdebase-3.5.10/kpager/Makefile.am	2005-09-10 01:25:36.000000000 -0700
+++ kdebase-3.5.10-new/kpager/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -1,14 +1,16 @@
 INCLUDES= $(all_includes)
 
-bin_PROGRAMS = kpager
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kpager.la
 
-kpager_SOURCES = desktop.cpp kpager.cpp config.cpp windowdrag.cpp \
+kpager_la_SOURCES = desktop.cpp kpager.cpp config.cpp windowdrag.cpp \
 	kpagerIface.skel main.cpp  
 
-kpager_METASOURCES = AUTO
-kpager_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+kpager_la_METASOURCES = AUTO
+kpager_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
-kpager_LDADD = $(LIB_KDEUI)
+kpager_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 
 KDE_ICON = kpager
 
diff -Nurd kdebase-3.5.10/kpager/main.cpp kdebase-3.5.10-new/kpager/main.cpp
--- kdebase-3.5.10/kpager/main.cpp	2005-10-10 08:04:00.000000000 -0700
+++ kdebase-3.5.10-new/kpager/main.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -62,7 +62,7 @@
 
 };
 
-int main(int argc, char **argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char **argv)
 {
     KAboutData *aboutdata = new KAboutData("kpager", "KPager", "1.5",
 					   I18N_NOOP("Desktop Overview"), KAboutData::License_GPL,
diff -Nurd kdebase-3.5.10/kpersonalizer/Makefile.am kdebase-3.5.10-new/kpersonalizer/Makefile.am
--- kdebase-3.5.10/kpersonalizer/Makefile.am	2005-09-10 01:25:00.000000000 -0700
+++ kdebase-3.5.10-new/kpersonalizer/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -1,11 +1,14 @@
-bin_PROGRAMS = kpersonalizer
-kpersonalizer_SOURCES = stylepreview.ui krefinepage.cpp \
+bin_PROGRAMS =
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kpersonalizer.la
+
+kpersonalizer_la_SOURCES = stylepreview.ui krefinepage.cpp \
       kstylepage.cpp keyecandypage.cpp kospage.cpp kcountrypage.cpp kpersonalizer.cpp \
       main.cpp kfindlanguage.cpp \
       kcountrypagedlg.ui kospagedlg.ui keyecandypagedlg.ui kstylepagedlg.ui \
       krefinepagedlg.ui  ksysinfo.cpp
 
-kpersonalizer_LDADD   = $(LIB_KIO) 
+kpersonalizer_la_LIBADD  = $(LIB_QT) $(LIB_KDECORE) $(LIB_KIO) $(LIB_KDEUI) -lDCOP -lkdefx
 
 EXTRA_DIST = main.cpp kpersonalizer.cpp kpersonalizer.h kpersonalizer.desktop kcountrypage.cpp kcountrypage.h kospage.cpp kospage.h keyecandypage.cpp keyecandypage.h kstylepage.cpp kstylepage.h krefinepage.cpp krefinepage.h cr16-app-kpersonalizer.png cr32-app-kpersonalizer.png README kcountrypagedlg.ui kospage.ui keyecandypagedlg.ui kstylepagedlg.ui krefinepagedlg.ui kfindlanguage.cpp kfindlanguage.h
 
@@ -38,7 +41,7 @@
 
 KDE_ICON= AUTO
 # the library search path. 
-kpersonalizer_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+kpersonalizer_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 # Uncomment the following two lines if you add a ui.rc file for your application to make use of
 # KDE´s XML GUI builing
diff -Nurd kdebase-3.5.10/kpersonalizer/main.cpp kdebase-3.5.10-new/kpersonalizer/main.cpp
--- kdebase-3.5.10/kpersonalizer/main.cpp	2005-09-10 01:25:00.000000000 -0700
+++ kdebase-3.5.10-new/kpersonalizer/main.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -33,7 +33,7 @@
         KCmdLineLastOption
 };
 
-int main(int argc, char *argv[])
+extern "C" KDE_EXPORT int kdemain(int argc, char *argv[])
 {
 	KAboutData aboutData( "kpersonalizer", I18N_NOOP("KPersonalizer"),
 		VERSION, description, KAboutData::License_GPL,
diff -Nurd kdebase-3.5.10/kreadconfig/Makefile.am kdebase-3.5.10-new/kreadconfig/Makefile.am
--- kdebase-3.5.10/kreadconfig/Makefile.am	2005-09-10 01:25:36.000000000 -0700
+++ kdebase-3.5.10-new/kreadconfig/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -1,12 +1,17 @@
 AM_CPPFLAGS = -DQT_NO_CAST_ASCII 
 
 INCLUDES = $(all_includes)
-AM_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-LDADD   =       $(LIB_KDECORE)
 
-bin_PROGRAMS	= kreadconfig kwriteconfig
-kreadconfig_SOURCES	= kreadconfig.cpp
-kwriteconfig_SOURCES	= kwriteconfig.cpp
+bin_PROGRAMS	= 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kreadconfig.la kwriteconfig.la
+kreadconfig_la_SOURCES = kreadconfig.cpp
+kreadconfig_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kreadconfig_la_LIBADD  = $(LIB_QT) $(LIB_KDECORE)
+
+kwriteconfig_la_SOURCES	= kwriteconfig.cpp
+kwriteconfig_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kwriteconfig_la_LIBADD  = $(LIB_QT) $(LIB_KDECORE)
 
 messages:
 	$(XGETTEXT) $(kreadconfig_SOURCES) -o $(podir)/kreadconfig.pot
diff -Nurd kdebase-3.5.10/kreadconfig/kreadconfig.cpp kdebase-3.5.10-new/kreadconfig/kreadconfig.cpp
--- kdebase-3.5.10/kreadconfig/kreadconfig.cpp	2005-09-10 01:25:36.000000000 -0700
+++ kdebase-3.5.10-new/kreadconfig/kreadconfig.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -41,7 +41,7 @@
 	{ "type <type>", I18N_NOOP("Type of variable"), 0 },
         KCmdLineLastOption
 };
-int main(int argc, char **argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char **argv)
 {
 	KAboutData aboutData("kreadconfig", I18N_NOOP("KReadConfig"),
 		"1.0.1",
diff -Nurd kdebase-3.5.10/kreadconfig/kwriteconfig.cpp kdebase-3.5.10-new/kreadconfig/kwriteconfig.cpp
--- kdebase-3.5.10/kreadconfig/kwriteconfig.cpp	2005-09-10 01:25:36.000000000 -0700
+++ kdebase-3.5.10-new/kreadconfig/kwriteconfig.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -23,7 +23,7 @@
 	{ "+value", I18N_NOOP( "The value to write. Mandatory, on a shell use '' for empty" ), 0 },
         KCmdLineLastOption
 };
-int main(int argc, char **argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char **argv)
 {
 	KAboutData aboutData("kwriteconfig", I18N_NOOP("KWriteConfig"),
 		"1.0.0",
diff -Nurd kdebase-3.5.10/kscreensaver/Makefile.am kdebase-3.5.10-new/kscreensaver/Makefile.am
--- kdebase-3.5.10/kscreensaver/Makefile.am	2005-09-10 01:25:50.000000000 -0700
+++ kdebase-3.5.10-new/kscreensaver/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,15 +4,15 @@
 AM_CPPFLAGS = -UQT_NO_ASCII_CAST
 
 INCLUDES = $(all_includes)
-AM_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+AM_LDFLAGS = $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(all_libraries) $(KDE_RPATH)
 
 bin_PROGRAMS = krandom.kss kblankscrn.kss
 
 krandom_kss_SOURCES = random.cpp
-krandom_kss_LDADD = $(LIB_KDEUI) -lm
+krandom_kss_LDADD = -lm
 
 kblankscrn_kss_SOURCES = blankscrn.cpp
-kblankscrn_kss_LDADD = $(LIB_KDEUI) -lkscreensaver -lm 
+kblankscrn_kss_LDADD = -lkscreensaver -lm 
 
 METASOURCES = AUTO
 
diff -Nurd kdebase-3.5.10/ksmserver/Makefile.am kdebase-3.5.10-new/ksmserver/Makefile.am
--- kdebase-3.5.10/ksmserver/Makefile.am	2006-01-19 09:01:08.000000000 -0800
+++ kdebase-3.5.10-new/ksmserver/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -31,7 +31,7 @@
 	KSMServerInterface.skel server.skel
 
 ksmserver_la_LDFLAGS = $(all_libraries) -avoid-version -module
-ksmserver_la_LIBADD = ../kdmlib/libdmctl.la $(LIB_KDEUI)
+ksmserver_la_LIBADD = ../kdmlib/libdmctl.la $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lDCOP -lkdefx
 
 picsdir = $(kde_datadir)/ksmserver/pics
 pics_DATA = shutdownkonq.png
diff -Nurd kdebase-3.5.10/ksplashml/Makefile.am kdebase-3.5.10-new/ksplashml/Makefile.am
--- kdebase-3.5.10/ksplashml/Makefile.am	2005-09-10 01:25:51.000000000 -0700
+++ kdebase-3.5.10-new/ksplashml/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,10 +4,13 @@
 
 METASOURCES=AUTO
 
-bin_PROGRAMS = ksplash
-ksplash_SOURCES = wndmain.cpp ksplashiface.skel main.cpp
-ksplash_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-ksplash_LDADD = $(LIB_KDEUI) themeengine/default/libthemedefault.la themeengine/libksplashthemes.la $(LIB_KIO)
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = ksplash.la
+
+ksplash_la_SOURCES = wndmain.cpp ksplashiface.skel main.cpp
+ksplash_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+ksplash_la_LIBADD = $(LIB_QT) $(LIB_KDEUI) themeengine/default/libthemedefault.la themeengine/libksplashthemes.la $(LIB_KIO) -lDCOP
 
 noinst_HEADERS = ksplashiface.h wndmain.h
 
diff -Nurd kdebase-3.5.10/ksplashml/kcmksplash/Makefile.am kdebase-3.5.10-new/ksplashml/kcmksplash/Makefile.am
--- kdebase-3.5.10/ksplashml/kcmksplash/Makefile.am	2005-09-10 01:25:50.000000000 -0700
+++ kdebase-3.5.10-new/ksplashml/kcmksplash/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -9,7 +9,7 @@
 kcm_ksplashthemes_la_SOURCES = installer.cpp main.cpp
 noinst_HEADERS = installer.h
 
-kcm_ksplashthemes_la_LIBADD = $(LIB_KIO) 
+kcm_ksplashthemes_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(LIB_KIO) $(LIB_KDEUI)
 kcm_ksplashthemes_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 xdg_apps_DATA = ksplashthememgr.desktop
diff -Nurd kdebase-3.5.10/ksplashml/main.cpp kdebase-3.5.10-new/ksplashml/main.cpp
--- kdebase-3.5.10/ksplashml/main.cpp	2005-09-10 01:25:51.000000000 -0700
+++ kdebase-3.5.10-new/ksplashml/main.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -37,7 +37,7 @@
   KCmdLineLastOption
 };
 
-int main( int argc, char **argv )
+extern "C" KDE_EXPORT int kdemain( int argc, char **argv )
 {
   KAboutData about(
     "ksplash",
diff -Nurd kdebase-3.5.10/ksplashml/themeengine/Makefile.am kdebase-3.5.10-new/ksplashml/themeengine/Makefile.am
--- kdebase-3.5.10/ksplashml/themeengine/Makefile.am	2006-03-17 02:17:40.000000000 -0800
+++ kdebase-3.5.10-new/ksplashml/themeengine/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -6,7 +6,7 @@
 
 libksplashthemes_la_SOURCES = themeengine.cpp objkstheme.cpp
 libksplashthemes_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -no-undefined
-libksplashthemes_la_LIBADD = $(LIB_KDEUI) $(LIB_XCURSOR)
+libksplashthemes_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_XCURSOR)
 METASOURCES = AUTO
 
 # install this header for theme developers.
diff -Nurd kdebase-3.5.10/ksplashml/themeengine/redmond/Makefile.am kdebase-3.5.10-new/ksplashml/themeengine/redmond/Makefile.am
--- kdebase-3.5.10/ksplashml/themeengine/redmond/Makefile.am	2005-09-10 01:25:50.000000000 -0700
+++ kdebase-3.5.10-new/ksplashml/themeengine/redmond/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,7 +4,7 @@
 
 ksplashredmond_la_SOURCES = previewredmond.cpp themeredmond.cpp
 ksplashredmond_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module $(KDE_PLUGIN)
-ksplashredmond_la_LIBADD  = $(LIB_KDEUI) $(LIB_KIO) ../libksplashthemes.la
+ksplashredmond_la_LIBADD  = $(LIB_KDEUI) $(LIB_KIO) ../libksplashthemes.la -lkdefx
 METASOURCES = AUTO
 
 kde_module_LTLIBRARIES = ksplashredmond.la
diff -Nurd kdebase-3.5.10/ksplashml/themeengine/simple/Makefile.am kdebase-3.5.10-new/ksplashml/themeengine/simple/Makefile.am
--- kdebase-3.5.10/ksplashml/themeengine/simple/Makefile.am	2005-09-10 01:25:50.000000000 -0700
+++ kdebase-3.5.10-new/ksplashml/themeengine/simple/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -1,7 +1,10 @@
 
 INCLUDES = $(all_includes)
 
-bin_PROGRAMS = ksplashsimple
-ksplashsimple_SOURCES = main.cpp
-ksplashsimple_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-ksplashsimple_LDADD = $(LIB_XINERAMA) $(LIB_X11)
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = ksplashsimple.la
+
+ksplashsimple_la_SOURCES = main.cpp
+ksplashsimple_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+ksplashsimple_la_LIBADD = $(LIB_XINERAMA) $(LIB_X11)
diff -Nurd kdebase-3.5.10/ksplashml/themeengine/simple/main.cpp kdebase-3.5.10-new/ksplashml/themeengine/simple/main.cpp
--- kdebase-3.5.10/ksplashml/themeengine/simple/main.cpp	2006-10-01 10:32:04.000000000 -0700
+++ kdebase-3.5.10-new/ksplashml/themeengine/simple/main.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -31,10 +31,11 @@
 # endif
 #endif
 
+#include <kdemacros.h>
 
 //#define DEBUG
 
-int main( int argc, char* argv[])
+extern "C" KDE_EXPORT int kdemain( int argc, char* argv[])
     {
     if( fork() != 0 )
         return 0;
diff -Nurd kdebase-3.5.10/ksplashml/themeengine/standard/Makefile.am kdebase-3.5.10-new/ksplashml/themeengine/standard/Makefile.am
--- kdebase-3.5.10/ksplashml/themeengine/standard/Makefile.am	2005-09-10 01:25:50.000000000 -0700
+++ kdebase-3.5.10-new/ksplashml/themeengine/standard/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -11,7 +11,7 @@
 
 ksplashstandard_la_SOURCES = themestandardlib.cpp
 ksplashstandard_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(KDE_PLUGIN) -module
-ksplashstandard_la_LIBADD = $(LIB_KDEUI) ../libksplashthemes.la libthemestandard.la
+ksplashstandard_la_LIBADD = $(LIB_KDEUI) ../libksplashthemes.la libthemestandard.la -lkdefx
 METASOURCES = AUTO
 
 noinst_HEADERS = themestandard.h wndicon.h wndstatus.h
diff -Nurd kdebase-3.5.10/kstart/Makefile.am kdebase-3.5.10-new/kstart/Makefile.am
--- kdebase-3.5.10/kstart/Makefile.am	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/kstart/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -6,10 +6,13 @@
 
 #######	Files
 
-bin_PROGRAMS	= kstart
-kstart_SOURCES	= kstart.cpp
-kstart_LDFLAGS  = $(all_libraries) $(KDE_RPATH)
-kstart_LDADD    = $(LIB_KDECORE)
+bin_PROGRAMS	= 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kstart.la
+
+kstart_la_SOURCES	= kstart.cpp
+kstart_la_LDFLAGS  = $(all_libraries) $(KDE_PLUGIN) -module
+kstart_la_LIBADD   = $(LIB_QT) $(LIB_KDECORE)
 METASOURCES =	kstart.moc 
 
 noinst_HEADERS = kstart.h version.h
diff -Nurd kdebase-3.5.10/kstart/kstart.cpp kdebase-3.5.10-new/kstart/kstart.cpp
--- kdebase-3.5.10/kstart/kstart.cpp	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/kstart/kstart.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -283,7 +283,7 @@
   KCmdLineLastOption
 };
 
-int main( int argc, char *argv[] )
+extern "C" KDE_EXPORT int kdemain( int argc, char *argv[] )
 {
   // David, 05/03/2000
   KAboutData aboutData( "kstart", I18N_NOOP("KStart"), KSTART_VERSION,
diff -Nurd kdebase-3.5.10/ksysguard/gui/Makefile.am kdebase-3.5.10-new/ksysguard/gui/Makefile.am
--- kdebase-3.5.10/ksysguard/gui/Makefile.am	2005-09-10 01:26:15.000000000 -0700
+++ kdebase-3.5.10-new/ksysguard/gui/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -18,21 +18,23 @@
  
 ####### This part is very ksysguard specific
 # you can add here more. This one gets installed 
-bin_PROGRAMS = ksysguard kpm
+bin_PROGRAMS = kpm
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = ksysguard.la
 
 # Which sources should be compiled for ksysguard.
-ksysguard_SOURCES = \
+ksysguard_la_SOURCES = \
 	SensorBrowser.cc \
 	WorkSheet.cc \
 	WorkSheetSettings.cc \
 	Workspace.cc \
 	ksysguard.cc ksysguard.skel
 
-ksysguard_LDADD = \
+ksysguard_la_LIBADD = \
 	ksgrd/libksgrd.la \
 	SensorDisplayLib/libsensordisplays.la \
-	$(LIB_KDEUI) $(LIB_KIO) $(LIB_KDNSSD)
-ksysguard_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+	$(LIB_KDEUI) $(LIB_KIO) $(LIB_KDNSSD) -lDCOP
+ksysguard_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module
 
 kpm_SOURCES = kpm.c
 
diff -Nurd kdebase-3.5.10/ksysguard/gui/ksgrd/Makefile.am kdebase-3.5.10-new/ksysguard/gui/ksgrd/Makefile.am
--- kdebase-3.5.10/ksysguard/gui/ksgrd/Makefile.am	2005-09-10 01:26:15.000000000 -0700
+++ kdebase-3.5.10-new/ksysguard/gui/ksgrd/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -5,7 +5,7 @@
 lib_LTLIBRARIES = libksgrd.la
 
 libksgrd_la_LDFLAGS = -no-undefined -version-info 3:0:2 $(all_libraries)
-libksgrd_la_LIBADD = $(LIB_KDEUI)
+libksgrd_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 # Which sources should be compiled for ksysguard.
 libksgrd_la_SOURCES = \
diff -Nurd kdebase-3.5.10/ksysguard/gui/ksysguard.cc kdebase-3.5.10-new/ksysguard/gui/ksysguard.cc
--- kdebase-3.5.10/ksysguard/gui/ksysguard.cc	2006-03-17 02:17:48.000000000 -0800
+++ kdebase-3.5.10-new/ksysguard/gui/ksysguard.cc	2010-05-13 05:26:41.000000000 -0700
@@ -520,7 +520,7 @@
 /*
  * Once upon a time...
  */
-int main( int argc, char** argv )
+extern "C" KDE_EXPORT int kdemain( int argc, char** argv )
 {
   // initpipe is used to keep the parent process around till the child
   // has registered with dcop.
diff -Nurd kdebase-3.5.10/ksystraycmd/Makefile.am kdebase-3.5.10-new/ksystraycmd/Makefile.am
--- kdebase-3.5.10/ksystraycmd/Makefile.am	2005-09-10 01:26:16.000000000 -0700
+++ kdebase-3.5.10-new/ksystraycmd/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -1,16 +1,19 @@
 ####### Fiddle here
 
 INCLUDES = $(all_includes)
-LDADD    = $(LIB_KDEUI)
 
 #######	Files
 
-bin_PROGRAMS	= ksystraycmd
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = ksystraycmd.la
+
 METASOURCES	= ksystraycmd.moc
 noinst_HEADERS  = ksystraycmd.h
 
-ksystraycmd_SOURCES = ksystraycmd.cpp main.cpp
-ksystraycmd_LDFLAGS  = $(all_libraries) $(KDE_RPATH)
+ksystraycmd_la_SOURCES = ksystraycmd.cpp main.cpp
+ksystraycmd_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+ksystraycmd_la_LIBADD  = $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 messages:
 	$(XGETTEXT) $(ksystraycmd_SOURCES) -o $(podir)/ksystraycmd.pot
diff -Nurd kdebase-3.5.10/ksystraycmd/main.cpp kdebase-3.5.10-new/ksystraycmd/main.cpp
--- kdebase-3.5.10/ksystraycmd/main.cpp	2006-10-01 10:32:16.000000000 -0700
+++ kdebase-3.5.10-new/ksystraycmd/main.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -46,7 +46,7 @@
   KCmdLineLastOption
 };
 
-int main( int argc, char *argv[] )
+extern "C" KDE_EXPORT int kdemain( int argc, char *argv[] )
 {
   KAboutData aboutData( "ksystraycmd", I18N_NOOP( "KSysTrayCmd" ),
 			"KSysTrayCmd 0.1",
diff -Nurd kdebase-3.5.10/ktip/Makefile.am kdebase-3.5.10-new/ktip/Makefile.am
--- kdebase-3.5.10/ktip/Makefile.am	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/ktip/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -2,10 +2,13 @@
 
 SUBDIRS = pics
 
-bin_PROGRAMS = ktip
-ktip_SOURCES = ktipwindow.cpp
-ktip_LDADD = $(LIB_KDEUI)
-ktip_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = ktip.la
+
+ktip_la_SOURCES = ktipwindow.cpp
+ktip_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) -lDCOP $(LIB_KDEUI)
+ktip_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
 KDE_ICON = AUTO
diff -Nurd kdebase-3.5.10/ktip/ktipwindow.cpp kdebase-3.5.10-new/ktip/ktipwindow.cpp
--- kdebase-3.5.10/ktip/ktipwindow.cpp	2005-10-10 08:04:21.000000000 -0700
+++ kdebase-3.5.10-new/ktip/ktipwindow.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -31,7 +31,7 @@
 
 static const char description[] = I18N_NOOP("Useful tips");
 
-int main(int argc, char *argv[])
+extern "C" KDE_EXPORT int kdemain(int argc, char *argv[])
 {
 	KAboutData aboutData("ktip", I18N_NOOP("KTip"),
 				"0.3", description, KAboutData::License_GPL,
diff -Nurd kdebase-3.5.10/kwin/Makefile.am kdebase-3.5.10-new/kwin/Makefile.am
--- kdebase-3.5.10/kwin/Makefile.am	2005-09-10 01:26:03.000000000 -0700
+++ kdebase-3.5.10-new/kwin/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -17,7 +17,7 @@
 	manage.cpp notifications.cpp activation.cpp useractions.cpp \
 	geometry.cpp rules.cpp
 
-kwin_la_LIBADD = $(LIB_KDEUI) lib/libkdecorations.la
+kwin_la_LIBADD = $(LIB_KDEUI) lib/libkdecorations.la -lDCOP
 kwin_la_LDFLAGS = $(all_libraries) -module -avoid-version
 
 include_HEADERS = KWinInterface.h
diff -Nurd kdebase-3.5.10/kwin/clients/b2/Makefile.am kdebase-3.5.10-new/kwin/clients/b2/Makefile.am
--- kdebase-3.5.10/kwin/clients/b2/Makefile.am	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/b2/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -8,7 +8,7 @@
 kwin3_b2_la_SOURCES = b2client.cpp
 kwin3_b2_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 # kwin_b2_la_LDFLAGS = $(all_libraries) -avoid-version -module $(KDE_RPATH) $(KDE_MT_LDFLAGS)
-kwin3_b2_la_LIBADD  = ../../lib/libkdecorations.la
+kwin3_b2_la_LIBADD  = $(LIB_KDEUI) ../../lib/libkdecorations.la -lkdefx
 
 METASOURCES = AUTO
 noinst_HEADERS = b2client.h
diff -Nurd kdebase-3.5.10/kwin/clients/b2/config/Makefile.am kdebase-3.5.10-new/kwin/clients/b2/config/Makefile.am
--- kdebase-3.5.10/kwin/clients/b2/config/Makefile.am	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/b2/config/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,7 +4,7 @@
 
 kwin_b2_config_la_SOURCES = config.cpp
 kwin_b2_config_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kwin_b2_config_la_LIBADD = $(LIB_KDEUI)
+kwin_b2_config_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 
 METASOURCES = AUTO
 noinst_HEADERS = config.h
diff -Nurd kdebase-3.5.10/kwin/clients/default/Makefile.am kdebase-3.5.10-new/kwin/clients/default/Makefile.am
--- kdebase-3.5.10/kwin/clients/default/Makefile.am	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/default/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -7,7 +7,7 @@
 
 kwin3_default_la_SOURCES = kdedefault.cpp
 kwin3_default_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kwin3_default_la_LIBADD  = $(LIB_KDECORE) ../../lib/libkdecorations.la
+kwin3_default_la_LIBADD  = $(LIB_KDEUI) ../../lib/libkdecorations.la -lkdefx
 
 METASOURCES = AUTO
 noinst_HEADERS = kdedefault.h
diff -Nurd kdebase-3.5.10/kwin/clients/default/config/Makefile.am kdebase-3.5.10-new/kwin/clients/default/config/Makefile.am
--- kdebase-3.5.10/kwin/clients/default/config/Makefile.am	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/default/config/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,7 +4,7 @@
 
 kwin_default_config_la_SOURCES = config.cpp
 kwin_default_config_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kwin_default_config_la_LIBADD = $(LIB_KDEUI)
+kwin_default_config_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 
 METASOURCES = AUTO
 noinst_HEADERS = config.h
diff -Nurd kdebase-3.5.10/kwin/clients/keramik/Makefile.am kdebase-3.5.10-new/kwin/clients/keramik/Makefile.am
--- kdebase-3.5.10/kwin/clients/keramik/Makefile.am	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/keramik/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -15,7 +15,7 @@
 kwin3_keramik_la_SOURCES   = keramik.cpp
 kwin3_keramik_la_COMPILE_FIRST = tiles.h
 kwin3_keramik_la_LDFLAGS   = $(all_libraries) $(KDE_PLUGIN) -module
-kwin3_keramik_la_LIBADD    = $(LIB_KDEUI) ../../lib/libkdecorations.la
+kwin3_keramik_la_LIBADD    = $(LIB_KDEUI) ../../lib/libkdecorations.la -lkdefx
 #kwin3_keramik_la_LDFLAGS   = $(all_libraries) -avoid-version -module $(KDE_RPATH) $(KDE_MT_LDFLAGS)
 
 METASOURCES               = AUTO
diff -Nurd kdebase-3.5.10/kwin/clients/keramik/config/Makefile.am kdebase-3.5.10-new/kwin/clients/keramik/config/Makefile.am
--- kdebase-3.5.10/kwin/clients/keramik/config/Makefile.am	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/keramik/config/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,7 +4,7 @@
 
 kwin_keramik_config_la_SOURCES = config.cpp keramikconfig.ui
 kwin_keramik_config_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kwin_keramik_config_la_LIBADD  = $(LIB_KDEUI)
+kwin_keramik_config_la_LIBADD  = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 
 METASOURCES                    = AUTO
 noinst_HEADERS                 = config.h keramikconfig.h
diff -Nurd kdebase-3.5.10/kwin/clients/kwmtheme/Makefile.am kdebase-3.5.10-new/kwin/clients/kwmtheme/Makefile.am
--- kdebase-3.5.10/kwin/clients/kwmtheme/Makefile.am	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/kwmtheme/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -5,7 +5,7 @@
 
 kwin3_kwmtheme_la_SOURCES = kwmthemeclient.cpp
 kwin3_kwmtheme_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kwin3_kwmtheme_la_LIBADD  = -lkdecorations
+kwin3_kwmtheme_la_LIBADD  = $(LIB_KDEUI) ../../lib/libkdecorations.la -lkdefx
 
 METASOURCES = AUTO
 noinst_HEADERS = kwmthemeclient.h
diff -Nurd kdebase-3.5.10/kwin/clients/kwmtheme/cli_installer/Makefile.am kdebase-3.5.10-new/kwin/clients/kwmtheme/cli_installer/Makefile.am
--- kdebase-3.5.10/kwin/clients/kwmtheme/cli_installer/Makefile.am	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/kwmtheme/cli_installer/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,15 +4,17 @@
 
 ####### This part is very kwmtheme specific
 # you can add here more. This one gets installed 
-bin_PROGRAMS = 	kwmtheme
+bin_PROGRAMS = 	
+lib_LTLIBRARIES = 
+kdeinit_LTLIBRARIES = kwmtheme.la
 
 # Which sources should be compiled for kwmtheme.
-kwmtheme_SOURCES = main.cpp 
+kwmtheme_la_SOURCES = main.cpp 
 
 # the library search path. 
-kwmtheme_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+kwmtheme_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 # the libraries to link against. Be aware of the order. First the libraries,
 # that depend on the following ones.
-kwmtheme_LDADD   = $(LIB_KDECORE)
+kwmtheme_la_LIBADD   = $(LIB_KDECORE)
 
diff -Nurd kdebase-3.5.10/kwin/clients/kwmtheme/cli_installer/main.cpp kdebase-3.5.10-new/kwin/clients/kwmtheme/cli_installer/main.cpp
--- kdebase-3.5.10/kwin/clients/kwmtheme/cli_installer/main.cpp	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/kwmtheme/cli_installer/main.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -37,7 +37,7 @@
     copyOutput.close();
 }
 
-int main(int argc, char **argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char **argv)
 {
     KCmdLineArgs::init(argc, argv, "kwmtheme", description, "0.1");
     KCmdLineArgs::addCmdLineOptions( options );
diff -Nurd kdebase-3.5.10/kwin/clients/laptop/Makefile.am kdebase-3.5.10-new/kwin/clients/laptop/Makefile.am
--- kdebase-3.5.10/kwin/clients/laptop/Makefile.am	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/laptop/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -5,7 +5,7 @@
 
 kwin3_laptop_la_SOURCES = laptopclient.cpp
 kwin3_laptop_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module 
-kwin3_laptop_la_LIBADD  = ../../lib/libkdecorations.la
+kwin3_laptop_la_LIBADD  = $(LIB_KDEUI) ../../lib/libkdecorations.la -lkdefx
 
 METASOURCES = AUTO
 noinst_HEADERS = laptopclient.h
diff -Nurd kdebase-3.5.10/kwin/clients/modernsystem/Makefile.am kdebase-3.5.10-new/kwin/clients/modernsystem/Makefile.am
--- kdebase-3.5.10/kwin/clients/modernsystem/Makefile.am	2005-09-10 01:25:56.000000000 -0700
+++ kdebase-3.5.10-new/kwin/clients/modernsystem/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -6,7 +6,7 @@
 kde_module_LTLIBRARIES = kwin3_modernsys.la
 
 kwin3_modernsys_la_SOURCES = modernsys.cpp
-kwin3_modernsys_la_LIBADD = ../../lib/libkdecorations.la
+kwin3_modernsys_la_LIBADD = $(LIB_KDEUI) ../../lib/libkdecorations.la -lkdefx
 kwin3_modernsys_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
